Skip to main content
GET
/
files
/
{file_id}
Get File
curl --request GET \
  --url https://api.example.com/files/{file_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "filename": "<string>",
  "original_filename": "<string>",
  "file_type": "<string>",
  "file_size": 123,
  "mime_type": "<string>",
  "status": "<string>",
  "sync_status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "public_url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

file_id
string<uuid>
required

Response

Successful Response

File response model.

id
string<uuid>
required
tenant_id
string<uuid>
required
filename
string
required
original_filename
string
required
file_type
string
required
file_size
integer
required
mime_type
string
required
status
string
required
sync_status
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
agent_id
string<uuid> | null
public_url
string | null